/*
	Binary Utility
	
	COPYRIGHT (C) SEGA ENTERSRISES,LTD.
*/

#ifndef _NINJA_BNF_H_
#define _NINJA_BNF_H_


#define NJ_POF_TYPE_PAD   0x00
#define NJ_POF_TYPE_CHAR  0x40
#define NJ_POF_TYPE_SHORT 0x80
#define NJ_POF_TYPE_LONG  0xc0
#define NJ_POF_CHAR_MASK  0xc0
#define NJ_POF_DATA_MASK  0x3f

Uint8 *nuOpenBinary(char *fname);
void nuCloseBinary(Uint8 *wbuff);
Uint32 nuSwapCNK(Uint32 cnk);
void *nuReadBinaryChunk(Uint8 *wbuff, Uint32 *fpos, Uint32 *ptype);

#endif
